# Makefile for the Web-Based Simulators
#
# Copyright (c) 1996-1997 The University of Texas
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU Public License is available in the file LICENSE, or you
# can write to the Free Software Foundation, Inc., 59 Temple Place -
# Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
# World Wide Web at http://www.fsf.org.
#
# Programmer:  Brian Evans
# Version:     @(#)makefile	1.6	12/22/97

# List of all subdirectories
DIRS = tms320c30 m68hc11 ads568 clas568

# Pass make variable settings
MAKEVARS = "PTARCH=$(PTARCH)"

# Source files
SRCS = index.html

all install clean realclean makefiles sources depend checkjunk::	$(SRCS)
	@for x in $(DIRS); do \
	    if [ -w $$x ] ; then \
		( cd $$x ; \
		echo making $@ in $$x ; \
		$(MAKE) $(MFLAGS) $(MAKEVARS) $@ ;\
		) \
	    fi ; \
	done

sccsinfo:
	@sccs check || true
	@for x in $(DIRS); do \
	    if [ -w $$x ] ; then \
		( cd $$x ; \
		echo making $@ in $$x ; \
		$(MAKE) $(MFLAGS) $(MAKEVARS) $@ ;\
		) \
	    fi ; \
	done

